using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsFacilityStateDetail {
        [Display(Name = "주요 설비 현황 상세 고유번호"), Key]
        public int FacilityStateDetailId { get; set; }
        [Display(Name = "주요 설비 현황 고유번호")]
        public int FacilityStateId { get; set; }
        [Display(Name = "질문 번호")]
        public int QuestionId { get; set; }
        [Display(Name = "질문/답변 구분(1:질문,2:답변)")]
        public int Type { get; set; }
        [Display(Name = "현장 고유번호")]
        public int? SiteId { get; set; }
        [Display(Name = "질문/답변")]
        public string Content { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite CmSite { get; set; }

        [ForeignKey("FacilityStateId")]
        [InverseProperty("FmsFacilityStateDetail")]
        public virtual FmsFacilityState FmsFacilityState { get; set; }
    }
}
